<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Insert_Absences StructType
 * @subpackage Structs
 */
class Insert_Absences extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The AbsenceDrivers
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfAbsenceDriver
     */
    public $AbsenceDrivers;
    /**
     * Constructor method for Insert_Absences
     * @uses Insert_Absences::setLogin()
     * @uses Insert_Absences::setAbsenceDrivers()
     * @param \StructType\Login $login
     * @param \ArrayType\ArrayOfAbsenceDriver $absenceDrivers
     */
    public function __construct(\StructType\Login $login = null, \ArrayType\ArrayOfAbsenceDriver $absenceDrivers = null)
    {
        $this
            ->setLogin($login)
            ->setAbsenceDrivers($absenceDrivers);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Insert_Absences
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get AbsenceDrivers value
     * @return \ArrayType\ArrayOfAbsenceDriver|null
     */
    public function getAbsenceDrivers()
    {
        return $this->AbsenceDrivers;
    }
    /**
     * Set AbsenceDrivers value
     * @param \ArrayType\ArrayOfAbsenceDriver $absenceDrivers
     * @return \StructType\Insert_Absences
     */
    public function setAbsenceDrivers(\ArrayType\ArrayOfAbsenceDriver $absenceDrivers = null)
    {
        $this->AbsenceDrivers = $absenceDrivers;
        return $this;
    }
}
